Skip to main content
GET
/
v1
/
dashboards
/
{dashboard_id}
/
widgets
List widgets
curl --request GET \
  --url https://api.coval.dev/v1/dashboards/{dashboard_id}/widgets \
  --header 'X-API-Key: <api-key>'
{
  "widgets": [
    {
      "name": "dashboards/abc123def456ghi789jklm/widgets/wgt456xyz789abc012defg",
      "type": "chart",
      "create_time": "2025-10-14T12:00:00Z",
      "update_time": "2025-10-15T14:30:00Z",
      "display_name": "Response Time Chart",
      "grid_x": 123,
      "grid_y": 123,
      "grid_w": 123,
      "grid_h": 123,
      "config": {
        "metricId": "<string>",
        "visualizationType": "line",
        "monitoring": "Monitoring",
        "aggregation": "avg",
        "metricOutputType": "float",
        "bucketInterval": "15 minutes",
        "stacked": true,
        "grouped": true,
        "showAsPercentage": true,
        "groupBy": "agent",
        "customColorMap": {},
        "xAxisLabel": "<string>",
        "yAxisLabel": "<string>",
        "customSeriesNames": {},
        "hiddenSeries": [
          "<string>"
        ],
        "precision": 1,
        "units": "<string>",
        "showCount": true,
        "showRange": true,
        "showStdDev": true,
        "showBoxPlot": true,
        "showTargetZone": true,
        "filters": {
          "metricIds": [
            "<string>"
          ],
          "agentIds": [
            "<string>"
          ],
          "agentMutationIds": [
            "<string>"
          ],
          "personaIds": [
            "<string>"
          ],
          "templateNames": [
            "<string>"
          ],
          "testSetIds": [
            "<string>"
          ],
          "metadata": [
            {}
          ]
        },
        "metricFilter": [
          {
            "metricId": "<string>",
            "operator": ">=",
            "value": 123,
            "metricOutputType": "float"
          }
        ]
      }
    }
  ],
  "next_page_token": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

dashboard_id
string
required

Dashboard resource ID (22-character ShortUUID)

Query Parameters

page_size
integer
default:50

Maximum number of results per page

Required range: 1 <= x <= 100
page_token
string

Opaque pagination token from previous response

Response

Widgets retrieved successfully

widgets
object[]
required
next_page_token
string | null

Token for fetching next page (null if no more results)